﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WindowsFormsApplication1
{
    public class ChoiceSet
    {
        int? choiceSetId;
        private string itemText;
        private ChoiceSetOptionList options;

        public ChoiceSet(int? choiceSetId, string name, ChoiceSetOptionList optionList)
        {
            optionList.AllowEdit = true;
            optionList.AllowNew = true;
            optionList.AllowRemove = true;


            this.choiceSetId = choiceSetId;
            this.itemText = name;
            this.options = optionList;
        }

        public string ItemText
        {
            get { return this.itemText; }
            set { this.itemText = value; }
        }

        public ChoiceSetOptionList Options
        {
            get { return this.options; }
        }

        public bool IsNew
        {
            get 
            {
                if (this.choiceSetId.HasValue)
                    return true;
                return false; 
            }
        }
    }
}
