﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.bindingSource1.DataSource = CreateBindingSource("Ultra", "One,Two,Three,Four");
            this.bindingSource2.DataSource = CreateBindingSource("New", "Matthew,Mark,Luke,John");
        }

        private object CreateBindingSource(string p, string values)
        {
            ChoiceSetOptionList optionList = new ChoiceSetOptionList();

            int index = 0;
            foreach (string v in values.Split(','))
            {
                ChoiceSetOption newObject = new ChoiceSetOption(index++, v);
                optionList.Add(newObject);
            }

            return new ChoiceSet(1, p, optionList);
        }
    }
}
